Subject: [Healeys] non lbc. need source for seat foam

From: I Erbs <[email-masked]>
Date: Thu, 28 Mar 2013 08:31:45 -0700

Howdy,
 I'm workin gon my 1987 Toyota Celica Convertible and need a source for OEM
replacement seat foam for he rear seats. I have been on the web for two
days and have not located a supplier. Anyone out there have a lead they can
share with? If so, please do.
 I find out on April 15th if I have job next year. so hopefully on the 16th
I can get back to my Healey ....
Ira Erbs
Portland, OR
   _______                                  _______
     (______ \____1960 BT7____/ _______)
         (_________________________)
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys